html {
  --blue: rgb(56, 56, 255);
  --yellow: rgb(250, 250, 94);
  font-size: 20px;
}

body {
  margin: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

.icon {
  font-size: 30px;
}
.add {
  font-size: 20px;
  border: 1px solid green;
  color: white;
  background-color: green;
  padding: 1rem;
  border-radius: 12px;
  margin: 1rem;
  overflow: hidden;
  cursor: pointer;
}

.add:hover {
  background-color: rgb(2, 88, 2);
  transition: all 0.2s;
}

.add:hover span {
  display: inline-block;
  animation: addBtnFile 0.2s 1 linear forwards;
}

header {
  position: sticky;
  top: 0;
  z-index: 2;
}

header,
.navigation {
  background-color: var(--blue);
}

header > nav {
  display: flex;
  justify-content: space-evenly;
}

header > nav > div {
  padding: 1rem;
  text-align: center;
  font-size: 0.8rem;
  color: white;
  font-weight: bold;
}

main {
  display: flex;
}

.navigation {
  width: 300px;
  top: calc(2.8rem);
  height: calc(100vh - 2.8rem);
  list-style: none;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.navigation li a {
  text-decoration: none;
  display: block;
  padding: 1rem;
  color: white;
  line-height: 2rem;
  cursor: pointer;
}

.navigation li a:hover,
nav div:hover {
  background-color: var(--yellow);
  color: var(--blue);
  transition: all 0.8s;
}

main section {
  width: 100%;
}

table {
  border-collapse: collapse;
  width: 100%;
  text-align: center;
}

table,
td,
th {
  border: 1px solid black;
}

.video {
  text-decoration: dashed;
  color: red;
}

thead {
  height: 30px;
}

table .icon {
  padding: 1 rem;
  background-color: rgb(120, 159, 160, 0.5);
  border-radius: 5px;
  transition: all, 0.5s;
}

table .icon:hover {
  padding: 1 rem;
  background-color: rgb(120, 159, 160, 1);
  border-radius: 5px;
  cursor: pointer;
}

table .icon.red {
  color: red;
}

table .icon.green {
  color: green;
}

.container-modal {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 3;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: repeating-linear-gradient(
    25deg,
    rgba(192, 192, 192, 0.2) 10px,
    rgba(77, 77, 77, 0.2) 30px
  );
}

.modal {
  width: 80%;
  min-height: 50vh;
  background: white;
  border: 1px solid var(--blue);
}

.hide {
  display: none;
}

@keyframes addBtnFile {
  from {
    transform: translateY(-10vh);
  }
  to {
    transform: translateY(0);
  }
}
